xquery version "3.0";
declare default element namespace "http://www.w3.org/2001/02pd/rec54#";
declare namespace rdf = "http://www.w3.org/1999/02/22-rdf-syntax-ns#";
declare namespace dc = "http://purl.org/dc/elements/1.1/"; 
declare namespace doc = "http://www.w3.org/2000/10/swap/pim/doc#";
declare namespace contact = "http://www.w3.org/2000/10/swap/pim/contact#";
declare namespace functx = "http://www.functx.com";

declare function functx:substring-after-last
($string as xs:string?, $delim as xs:string) as xs:string?
{
if (contains ($string, $delim))
then functx:substring-after-last(substring-after($string, $delim), $delim)
else $string
};

<html>
<head>XQuery Generated W3C Recommendation List</head>
<body>
<ul class="ul"> {
for $rec in doc("tr.rdf")//REC
    order by upper-case($rec/dc:title)
    return <li class="li">
       <a href="{string($rec/@rdf:about)}"> {string($rec/dc:title)} </a>, 
        { for $auth in $rec/editor
        return
        if (contains(string($auth/contact:fullName), "."))
        then (concat(string($auth/contact:fullName), ","))
        else (concat(concat(concat(substring(substring-before(string($auth/contact:fullName), ' '), 0, 2), ". "), (substring-after(string($auth/contact:fullName), ' '))), ","))}
	{if (count ($rec/editor) >= 2) then " Editors," else " Editor,"}
	W3C Recommendation, 
	{fn:format-date(xs:date(string($rec/dc:date)), "[MNn] [D], [Y]") }, 
	{string($rec/@rdf:about)}. <a href="{string($rec/doc:versionOf/@rdf:resource)}">Latest version</a> available at {string($rec/doc:versionOf/@rdf:resource)}.
        <br/>[Suggested label: <strong>{functx:substring-after-last(upper-case(replace(string($rec/doc:versionOf/@rdf:resource), '/$', '')), "/")}</strong>]<br/>

       </li>
} </ul>

</body>
</html>